LibreOffice: DatasourceAdministrationDialog Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
DatasourceAdministrationDialog Service Referencepublished

provides a user interface for administrating the system wide registered data sources. More...

Inheritance diagram for DatasourceAdministrationDialog:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| allows access to the properties of the object More...
interface | com::sun::star::ui::dialogs::XExecutableDialog
| allows starting execution of the administration dialog More...
interface | com::sun::star::lang::XInitialization
| allows initializing the dialog More...

## Public Attributes
string | Title
| the title of the (dialog) window More...
com::sun::star::awt::XWindow | ParentWindow
| parent window to use for the administration dialog More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

provides a user interface for administrating the system wide registered data sources.

Here, system wide registered means registered on the (one and only) instance of the com::sun::star::sdb::DatabaseContext service.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

allows access to the properties of the object

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows initializing the dialog

You do not need to call the initialize method directly, instead you may use the createInstanceWithArguments method of your com::sun::star::lang::XMultiServiceFactory.

You specify a parameter by passing one (or more) com::sun::star::beans::PropertyValue object(s) to the initialize method, where the Name field contains a string describing which aspect you want to affect, and the Value field containing a value.
Imagine the initialization values as if you use setPropertyValue of the com::sun::star::beans::XPropertySet interface ...
allowed parameters are

- Title
  String describing the initial title of the dialog. If not specified, a default title is used.
- ParentWindow
  com::sun::star::awt::XWindow describing the parent window to use for the dialog.
- InitialSelection
  String or XDataSource describing which data source should be selected initially. This String name must be known to the com::sun::star::sdb::DatabaseContext.

## ◆ com::sun::star::ui::dialogs::XExecutableDialog

interface com::sun::star::ui::dialogs::XExecutableDialog

allows starting execution of the administration dialog

## Member Data Documentation

## ◆ ParentWindow

com::sun::star::awt::XWindow ParentWindow
| property

parent window to use for the administration dialog

This property can't be set while the dialog is being displayed.

## ◆ Title

string Title
| property

the title of the (dialog) window

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatasourceAdministrationDialog.idl